Re: [R] using postgresql with R/RODBC

From: Uwe Ligges <ligges_at_statistik.uni-dortmund.de>
Date: Tue 15 Mar 2005 - 05:17:49 EST

Larry White wrote:

> There's only one CRAN RODBC entry under Packages (version 1.1.3).
> That's the one I used. The 'Depends' line seems to indicate that it
> should work with any version of R > 1.9.

Correct for the sources, but binaries must be compiled under the same major version for R that is used.

> In any case, after I received the reply I went back to CRAN and took a
> different path (under windows binaries) and located an earlier version
> of RODBC (1.1.2). When I tried that one I get this error:
>
> Error in library(RODBC) : 'RODBC' is not a valid package -- installed < 2.0.0?
>
> Aside from the Depends entry and the runtime error message there
> doesn't seem to be any thing to indicate which version is appropriate
> for R 2.0.1.
>
> BTW, I'm on win 2000, if that would make a difference.

That one you get when calling install.packages("RODBC") in R-2.0.x is in CRAN/bin/windows/contrib/2.0/
for CRAN master this is currently:
http://cran.r-project.org/bin/windows/contrib/2.0/RODBC_1.1-3.zip

Uwe Ligges

> On Mon, 14 Mar 2005 16:22:50 +0100, Uwe Ligges
> <ligges@statistik.uni-dortmund.de> wrote:
>
>>Larry White wrote:
>>
>>
>>>Hi, Please excuse these questions if they're obvious. I'm new to R.
>>>
>>>I need to access a Postgres db from R. I'm currently trying RODBC as
>>>I spend part of my time on Windows and rdbi.pgsql seems not to support
>>>windows at this time.
>>>
>>>I unzipped the RODBC win binary download into my library directory and
>>>tried to load it using
>>>
>>>library(RODBC)
>>>
>>>I get the following error:
>>>
>>>Error in dyn.load(x, as.logical(local), as.logical(now)) : unable to
>>>load shared library
>>>"C:/PROGRA~1/R/rw2001/library/RODBC/libs/RODBC.dll":
>>> LoadLibrary failure: The specified procedure could not be found.
>>>In addition: Warning message: package 'RODBC' was built under R version 2.1.0
>>
>>So why don't you use the binary package from CRAN that has been compiled
>>for you under R-2.0.1?
>>
>>Uwe Ligges
>>
>>
>>
>>>Error: .onLoad failed in loadNamespace for 'RODBC'
>>>Error in library(RODBC) : package/namespace load failed for 'RODBC'
>>>
>>>The path correctly points to the dll. Can anyone tell me what I'm doing wrong?
>>>
>>>thanks.
>>>
>>>______________________________________________
>>>R-help@stat.math.ethz.ch mailing list
>>>https://stat.ethz.ch/mailman/listinfo/r-help
>>>PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html
>>
>>



R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html Received on Tue Mar 15 05:29:12 2005

This archive was generated by hypermail 2.1.8 : Fri 03 Mar 2006 - 03:30:47 EST